Subject: Re: [Patch size_t V3 00/19] use size_t

From: Martin Koegler <[email-masked]>
Date: Fri, 18 Aug 2017 09:08:25 +0200

On Thu, Aug 17, 2017 at 10:35:54PM +0200, Torsten Bögershausen wrote:
> On Wed, Aug 16, 2017 at 10:16:12PM +0200, Martin Koegler wrote:
> > From: Martin Koegler <[email-masked]>
> > 
> > This patchset is for next [24db08a6e8fed761d3bace7f2d5997806e20b9f7].
> 
> I applied it succesfully, and run the test suite on a 32 bit system.
> The Laptop reported one brekage in t0040:
> t0040-parse-options.sh   not ok 19 - OPT_MAGNITUDE() 3giga

I missed test-parse-options.c - I'll post an updated versions considering all comments.

parse-options takes the variable as void* - so the compilers also fails to recognize the usage
of incompatible types.
 
> Beside some t5561-http-backend.sh (which are most probably not caused
> by this patch.
> 
> The raspi had 2 deadlocks, like "git push --signed dst noop ff +noff"
> or
> trash directory.t5541-http-push-smart/gpghome --sign -u [email-masked]
> Even this most probably not caused by the patch. (and the test is still running)
> 
> Well done, and on which platforms did you test ?

Linux 64. 

Regards,
Martin